Search contacts
curl --request POST \
--url https://storeinspect.com/api/v1/contacts/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person": {
"roles_any": [
"<string>"
],
"seniority_any": [
"<string>"
],
"has_verified_email": true,
"has_phone": true,
"has_linkedin": true
},
"store": {
"domains": [
"<string>"
],
"categories": [
"<string>"
],
"countries": [
"<string>"
],
"traffic_tiers": [
"<string>"
],
"revenue_tiers": [
"<string>"
],
"shopify_plus": true,
"apps": {
"any": [
"<string>"
],
"all": [
"<string>"
],
"none": [
"<string>"
]
},
"pixels": {
"any": [
"<string>"
],
"all": [
"<string>"
],
"none": [
"<string>"
]
},
"themes": {
"types": []
},
"meta_ads": {
"active_ads_min": 50000
}
},
"max_contacts_per_store": 1,
"limit": 25,
"cursor": null
}
'import requests
url = "https://storeinspect.com/api/v1/contacts/search"
payload = {
"person": {
"roles_any": ["<string>"],
"seniority_any": ["<string>"],
"has_verified_email": True,
"has_phone": True,
"has_linkedin": True
},
"store": {
"domains": ["<string>"],
"categories": ["<string>"],
"countries": ["<string>"],
"traffic_tiers": ["<string>"],
"revenue_tiers": ["<string>"],
"shopify_plus": True,
"apps": {
"any": ["<string>"],
"all": ["<string>"],
"none": ["<string>"]
},
"pixels": {
"any": ["<string>"],
"all": ["<string>"],
"none": ["<string>"]
},
"themes": { "types": [] },
"meta_ads": { "active_ads_min": 50000 }
},
"max_contacts_per_store": 1,
"limit": 25,
"cursor": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
person: {
roles_any: ['<string>'],
seniority_any: ['<string>'],
has_verified_email: true,
has_phone: true,
has_linkedin: true
},
store: {
domains: ['<string>'],
categories: ['<string>'],
countries: ['<string>'],
traffic_tiers: ['<string>'],
revenue_tiers: ['<string>'],
shopify_plus: true,
apps: {any: ['<string>'], all: ['<string>'], none: ['<string>']},
pixels: {any: ['<string>'], all: ['<string>'], none: ['<string>']},
themes: {types: []},
meta_ads: {active_ads_min: 50000}
},
max_contacts_per_store: 1,
limit: 25,
cursor: null
})
};
fetch('https://storeinspect.com/api/v1/contacts/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "contact_preview",
"first_name": "<string>",
"last_name_obfuscated": "<string>",
"role": "<string>",
"title": "<string>",
"has_verified_email": true,
"has_phone": true,
"has_linkedin": true,
"revealed": true,
"store": {
"id": "<string>",
"domain": "<string>",
"name": "<string>",
"category": "<string>",
"traffic_tier": "<string>",
"technologies": {
"apps": [
"<string>"
],
"pixels": [
"<string>"
]
}
}
}
],
"has_more": true,
"next_cursor": "<string>",
"request_id": "<string>"
}Contacts
Search contacts
Searches preview-safe contact records at Shopify stores using role, seniority, location, technology, and store ICP filters.
POST
/
contacts
/
search
Search contacts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I